POST
/
institutions
/
cards
Create Card
curl --request POST \
  --url https://sandbox-api.cardcore.cloud/institutions/cards \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cardProgram": "{{cardProgramId}}",
  "referenceCode": "CARD123456",
  "pinEnabled": true,
  "defaultPIN": {
    "encryptedData": "A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708A1B2C3D4E5F60708",
    "publicKeyFingerprint": "a884d7744252e1ec674983a91e6"
  },
  "account": {
    "currency": "NGN",
    "bankCode": "000002",
    "type": "00",
    "number": "1234567890"
  },
  "customer": {
    "firstName": "John",
    "middleName": "Robert",
    "lastName": "Doe",
    "emailAddress": "[email protected]",
    "phoneNumber": "+2341234567890",
    "honorific": "Mr",
    "gender": "M",
    "dateOfBirth": "1990-01-01T00:00:00.000Z",
    "address": {
      "line1": "123 Main Street",
      "line2": "Apt 4B",
      "city": "Lagos",
      "state": "Lagos",
      "country": "Nigeria",
      "postalCode": "100001"
    }
  }
}
'
{
  "statusCode": 200,
  "message": "Card Created Successfully",
  "data": {
    "_id": "6a12fb4764e77fc7a0e2ae9d",
    "institution": "68da3e6080b90fbbb96716c9",
    "cardProgram": "68da531880b90fbbb9671b38",
    "referenceCode": "SUPRPR21172571779628777201",
    "scheme": "Mastercard",
    "type": "virtual",
    "bin": "0902322423",
    "expiryMonth": "06",
    "expiryYear": 2029,
    "pinEnabled": true,
    "seqNumber": "001",
    "enroll2FA": true,
    "status": "active",
    "expiryDate": "2029-06-13T00:00:00.000Z",
    "account": {
      "currency": "NGN",
      "type": "00",
      "number": "7030338024",
      "bankCode": "999241"
    },
    "customer": {
      "uniqueId": "9992417030338024",
      "firstName": "Prince",
      "middleName": "",
      "lastName": "Muteh",
      "emailAddress": "[email protected]",
      "phoneNumber": "07030338024",
      "dateOfBirth": "1995-05-18T00:00:00.000Z",
      "address": {
        "line1": "University Of Maiduguri",
        "line2": "pop",
        "city": "Maiduguri",
        "state": "Borno",
        "country": "Nigeria",
        "postalCode": "600211"
      }
    },
    "cardHolderId": "sandbox-cardholder-bca4d47a-1c82-4106-8ad0-e684ccea833e",
    "lastFour": "2368",
    "pan": "090232QV2368",
    "cvv2": "tok_dev_U7MIkc3OpG7plnkh5qtYqU",
    "icvv": "tok_dev_SaZotECxTr5s9rGyliAxwM",
    "pinOffset": "tok_dev_amja7bvDi9X6CXEcjY3WYg",
    "serviceCode": "601",
    "printCard": false,
    "token": "sandbox-token-5bfc958f-e377-491a-a76d-aa1ff1b36f90",
    "cvv": "tok_dev_DodbT7LKOI21V1apSA0TjS",
    "allowDigitization": true,
    "embossingName": "Prince Muteh",
    "twoFAEnrolled": false,
    "pinAttempts": 0,
    "honorific": "",
    "gender": "",
    "createdAt": "2026-05-24T13:21:11.061Z",
    "updatedAt": "2026-05-24T13:21:11.061Z",
    "id": "6a12fb4764e77fc7a0e2ae9d"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
cardProgram
string
required

The preconfigured card setup to issue this card from. This setup already exists in the system and defines how the card should behave.

Example:

"507f1f77bcf86cd799439012"

referenceCode
string
required

Your own unique tracking number for this card request.

Example:

"CARD123456"

pinEnabled
boolean
required

Set this to true if the card should support PIN transactions.

Example:

true

defaultPIN
object
required

The card's starting PIN, sent in a protected format. Do not send the actual PIN as plain text.

account
object
required

The bank account that should be linked to the card.

customer
object
required

The person who will own or use the card.

embossingName
string
required

The name to print or display on the card.

Example:

"Customer Name"

startDate
string<date-time>
required

The date the card should become valid.

Example:

"2025-12-31"

expiryDate
string<date-time>
required

The date the card should expire.

Example:

"2028-12-31"

pan
string

The card number to use. Only provide this if your setup allows you to bring your own card number; otherwise the system will create one.

Example:

"4111111111111111"

status
enum<string>

The starting status of the card.

Available options:
active,
inactive,
suspended,
expired
seqNumber
string

The card's sequence number. If you do not provide it, the system takes it from the card setup.

Example:

"001"

enroll2FA
boolean

Set this to true if the card should be enrolled for extra cardholder verification.

Example:

true

printCard
boolean

Set this to true if a physical card should be printed.

Example:

true

Response

201 - application/json

Create Card completed successfully.

The response is of type object.